unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Buttons,advimage, FileCtrl,jpeg, ComCtrls, Spin;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    CheckBox1: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    ProgressBar1: TProgressBar;
    RadioGroup1: TRadioGroup;
    StatusBar1: TStatusBar;
    Panel3: TPanel;
    RadioGroup2: TRadioGroup;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    GroupBox1: TGroupBox;
    Button1: TButton;
    Label2: TLabel;
    SpinEdit2: TSpinEdit;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    DirectoryListBox1: TDirectoryListBox;
    Splitter1: TSplitter;
    CheckBox2: TCheckBox;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Image1: TImage;
    DriveComboBox1: TDriveComboBox;
    FileListBox1: TFileListBox;
    AdvImage1: TAdvImage;
    AdvImage2: TAdvImage;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FileListBox1DblClick(Sender: TObject);
    procedure AdvImage1Resize(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure AdvImage1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure RadioGroup1Click(Sender: TObject);
    procedure AdvImage1AfterSelectArea(Sender: TObject; Area: TRect;
      Bmp: TBitmap);
    procedure RadioGroup2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
 
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation


{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  //Filelistbox1.Directory := 'd:\temp';
  Advimage1.IncrementalDisplay := checkbox1.checked;

  Advimage1.StretchMax  := checkbox3.checked;
  Advimage1.StretchRatio := checkbox4.checked;
  Advimage1.CenterView := checkbox5.checked;
  Advimage1.PersistentRatio  := checkbox5.checked;
  Advimage1.ShowCaption  := checkbox7.checked;
  Advimage1.Transparent  := checkbox2.checked;
  RadioGroup1Click(self);
  RadioGroup2Click(self);
end;

procedure TForm1.FileListBox1DblClick(Sender: TObject);
begin
  if PageControl1.ActivePageIndex = 0 then
  begin
  advimage1.ImageName := filelistbox1.items[filelistbox1.Itemindex];
  advimage1.Caption := advimage1.ImageName;
  statusbar1.SimpleText := inttostr(advimage1.picture.width) + ' x ' +
                           inttostr(advimage1.picture.Height);
  end else
  begin
  image1.Picture.LoadFromFile(filelistbox1.items[filelistbox1.Itemindex]);

  statusbar1.SimpleText := inttostr(image1.picture.width) + ' x ' +
                           inttostr(image1.picture.Height);
  end;
end;

procedure TForm1.AdvImage1Resize(Sender: TObject);
begin
 //filelistbox1.itemindex := filelistbox1.itemindex + 1;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin     
  Advimage1.IncrementalDisplay := checkbox1.checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  Advimage1.StretchMax  := checkbox3.checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  Advimage1.StretchRatio := checkbox4.checked;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
  Advimage1.CenterView := checkbox5.checked;
end;

procedure TForm1.AdvImage1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  filelistbox1.itemindex :=  filelistbox1.itemindex  +1;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.itemindex of
   0 : AdvImage1.ViewMode := vmNormal;
   1 : begin
         AdvImage1.CenterView := false;
         AdvImage1.ViewMode := vmScroll;
         checkbox5.checked := Advimage1.CenterView;
       end;

   2 : AdvImage1.ViewMode := vmSelectArea;
  end;
end;

procedure TForm1.AdvImage1AfterSelectArea(Sender: TObject; Area: TRect;
  Bmp: TBitmap);
begin
  AdvImage2.Picture.Bitmap := Bmp;
  AdvImage2.Refresh;
end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin
 case RadioGroup2.itemindex of
   0 : AdvImage1.CaptionPosition := cpTop;
   1 : AdvImage1.CaptionPosition := cpCenter;
   2 : AdvImage1.CaptionPosition := cpBottom;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  advimage1.ResizeImage(spinedit1.value,spinedit2.value);
  statusbar1.SimpleText := inttostr(advimage1.picture.width) + ' x ' +
                           inttostr(advimage1.picture.Height);

  Advimage1.Refresh;
end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
 Advimage1.PersistentRatio  := checkbox6.checked;
end;

procedure TForm1.CheckBox7Click(Sender: TObject);
begin
  Advimage1.ShowCaption  := checkbox7.checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  Advimage1.Transparent  := checkbox2.checked;
end;

end.
